Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 0

%global srcname grunt-legacy-log-utils

Name:           nodejs-grunt-legacy-log-utils
Version:        1.0.0
Release:        alt1_7
Summary:        Static methods for the Grunt 0.4.x logger

License:        MIT
URL:            https://github.com/gruntjs/grunt-legacy-log-utils
Source0:        https://github.com/gruntjs/%{srcname}/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz


BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(lodash)
BuildRequires:  npm(chalk)
BuildRequires:  npm(grunt-cli)
%endif
Source44: import.info


%description
%{summary}.


%prep
%setup -q -n %{srcname}-%{version}
%nodejs_fixdep lodash "^3.10.1"
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-legacy-log-utils
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/grunt-legacy-log-utils
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/grunt nodeunit
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%doc --no-dereference LICENSE-MIT
%{nodejs_sitelib}/grunt-legacy-log-utils


%changelog
* Wed Mar 27 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_7
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt0.1.njs.bootstrap
- bootstrap

